/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.WebViewOverlaySample;

import org.apache.cordova.api.CallbackContext;
import org.apache.cordova.api.CordovaPlugin;
import org.apache.cordova.api.Plugin;
import org.apache.cordova.api.PluginResult;
import org.json.JSONArray;

import android.util.Log;
import android.view.View;

public class WebViewOverlayPlugin extends CordovaPlugin {

	private final String ACTION_OPEN_URL = "open";
	private final String ACTION_CLOSE_WEBVIEWOVERLAY = "close";

	@Override
	public boolean execute(String action, JSONArray args, CallbackContext callbackContext) {

		if (action.equals(ACTION_OPEN_URL)) {
			WebViewOverlaySample.thisapp.runOnUiThread(new Runnable() {
				public void run() {
					WebViewOverlaySample.clearWebViewOverlayHistory();
					WebViewOverlaySample.loadWebViewOverlay("http://m.ibm.com/");
					WebViewOverlaySample.setWebViewOverlayVisibility(View.VISIBLE);
					WebViewOverlaySample.requestWebViewOverlayFocus();
					WebViewOverlaySample.clearWebViewOverlayHistory();
				}
			});
			return true;
		} else if (action.equals(ACTION_CLOSE_WEBVIEWOVERLAY)) {
			WebViewOverlaySample.thisapp.runOnUiThread(new Runnable() {
				public void run() {
					WebViewOverlaySample.loadWebViewOverlayContent("");
					WebViewOverlaySample.setWebViewOverlayVisibility(View.INVISIBLE);
					WebViewOverlaySample.clearWebViewOverlayHistory();
				}
			});
			return true;
		} else
			return false;
	}

}
