/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
//
//  WebViewOverlayPlugin.m
//  module160WebViewOverlayWebViewOverlaySampleIphone
//
//  Created by Anton Aleksandrov on 7/25/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "WebViewOverlayPlugin.h"
#import "WLCordovaAppDelegate.h"

@implementation WebViewOverlayPlugin

- (void)open:(CDVInvokedUrlCommand*)command{
    NSLog(@"WebViewOverlayPlugin :: open");
    
    UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0, 0, 320, 411)];
    webView.tag = 12345;
    
    WLCordovaAppDelegate *appDelegate = (WLCordovaAppDelegate*) [[UIApplication sharedApplication] delegate];
    UIView *appView = [[[appDelegate window] subviews] objectAtIndex:0];
    [appView addSubview:webView];
    
    NSURLRequest *urlRequest = [NSURLRequest requestWithURL:[NSURL URLWithString:@"http://m.ibm.com"]];
    [webView loadRequest:urlRequest];
    [webView release];
    
    CDVPluginResult *pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK];
    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

- (void)close:(CDVInvokedUrlCommand*)command{
    NSLog(@"WebViewOverlayPlugin :: close");

    WLCordovaAppDelegate *appDelegate = (WLCordovaAppDelegate*) [[UIApplication sharedApplication] delegate];
    UIView *appView = [[[appDelegate window] subviews] objectAtIndex:0];

    for (UIView *view in [appView subviews]){
        if (view.tag==12345)
            [view removeFromSuperview];
    }

    CDVPluginResult *pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK];
    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

@end
